/*******************************************************************************
* File Name: cycfg_peripherals.h
*
* Description:
* Peripheral Hardware Block configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.0.0
* device-db 4.1.0.3063
* mtb-pdl-cat2 2.2.0.8881
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PERIPHERALS_H)
#define CYCFG_PERIPHERALS_H

#include "cycfg_notices.h"
#include "cy_i2s.h"
#include "cy_sysclk.h"
#if defined (CY_USING_HAL)
    #include "cyhal_hwmgr.h"
#endif //defined (CY_USING_HAL)
#include "cy_msc.h"
#include "cy_scb_uart.h"

#if defined(__cplusplus)
extern "C" {
#endif

#define I2S0_ENABLED 1U
#define I2S0_HW I2S0
#define I2S0_IRQ audioss_interrupt_i2s_IRQn
#define CYBSP_MSC0_ENABLED 1U
#define CY_MSC0_DMAC_BASE_ADDR NULL
#define CY_MSC0_WR_DMA_CH_INDEX 0u
#define CY_MSC0_CHAIN_WR_DMA_CH_INDEX 0u
#define CY_MSC0_RD_DMA_CH_INDEX 0u
#define CY_MSC0_CHAIN_RD_DMA_CH_INDEX 0u
#define CY_MSC0_Cmod1_PORT GPIO_PRT4
#define CY_MSC0_Cmod2_PORT GPIO_PRT4
#define Button0_Tx_PORT GPIO_PRT11
#define CY_MSC0_Cmod1_PIN 0u
#define CY_MSC0_Cmod2_PIN 1u
#define Button0_Tx_PIN 2u
#define CY_MSC0_Cmod1_CH_INDEX 0u
#define CY_MSC0_Cmod2_CH_INDEX 0u
#define Button0_Tx_CH_INDEX 0u
#define CY_MSC0_Cmod1_PORT_NUM 4
#define CY_MSC0_Cmod2_PORT_NUM 4
#define CY_MSC0_HW MSC0
#define CYBSP_MSC0_HW MSC0
#define CY_MSC0_IRQ msc_0_interrupt_IRQn
#define CYBSP_MSC0_IRQ msc_0_interrupt_IRQn
#define CYBSP_MSC1_ENABLED 1U
#define CY_MSC1_DMAC_BASE_ADDR NULL
#define CY_MSC1_WR_DMA_CH_INDEX 0u
#define CY_MSC1_CHAIN_WR_DMA_CH_INDEX 0u
#define CY_MSC1_RD_DMA_CH_INDEX 0u
#define CY_MSC1_CHAIN_RD_DMA_CH_INDEX 0u
#define CY_MSC1_Cmod1_PORT GPIO_PRT7
#define CY_MSC1_Cmod2_PORT GPIO_PRT7
#define Button0_Rx0_PORT GPIO_PRT0
#define Button1_Tx_PORT GPIO_PRT0
#define CY_MSC1_Cmod1_PIN 0u
#define CY_MSC1_Cmod2_PIN 1u
#define Button0_Rx0_PIN 1u
#define Button1_Tx_PIN 3u
#define CY_MSC1_Cmod1_CH_INDEX 1u
#define CY_MSC1_Cmod2_CH_INDEX 1u
#define Button0_Rx0_CH_INDEX 1u
#define Button1_Tx_CH_INDEX 1u
#define CY_MSC1_Cmod1_PORT_NUM 7
#define CY_MSC1_Cmod2_PORT_NUM 7
#define CY_MSC1_HW MSC1
#define CYBSP_MSC1_HW MSC1
#define CY_MSC1_IRQ msc_1_interrupt_IRQn
#define CYBSP_MSC1_IRQ msc_1_interrupt_IRQn
#define CYBSP_UART_ENABLED 1U
#define CYBSP_UART_HW SCB2
#define CYBSP_UART_IRQ scb_2_interrupt_IRQn

extern const cy_stc_i2s_config_t I2S0_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t I2S0_obj;
#endif //defined (CY_USING_HAL)
extern cy_stc_msc_context_t cy_msc_0_context;
extern cy_stc_msc_context_t cy_msc_1_context;
extern const cy_stc_scb_uart_config_t CYBSP_UART_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_UART_obj;
#endif //defined (CY_USING_HAL)

void init_cycfg_peripherals(void);
void reserve_cycfg_peripherals(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PERIPHERALS_H */
