/*******************************************************************************
* File Name: cycfg_pins.h
*
* Description:
* Pin configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.0.0
* device-db 4.1.0.3063
* mtb-pdl-cat2 2.2.0.8881
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PINS_H)
#define CYCFG_PINS_H

#include "cycfg_notices.h"
#include "cy_gpio.h"
#if defined (CY_USING_HAL)
    #include "cyhal_hwmgr.h"
#endif //defined (CY_USING_HAL)
#include "cycfg_routing.h"

#if defined(__cplusplus)
extern "C" {
#endif

#if defined (CY_USING_HAL)
    #define CYBSP_CSX_TP_RX0 (P0_0)
#endif //defined (CY_USING_HAL)
#define CYBSP_CSX_BTN_RX_ENABLED 1U
#define CYBSP_CSX_BTN_RX_PORT GPIO_PRT0
#define CYBSP_CSX_BTN_RX_PORT_NUM 0U
#define CYBSP_CSX_BTN_RX_PIN 1U
#define CYBSP_CSX_BTN_RX_NUM 1U
#define CYBSP_CSX_BTN_RX_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CSX_BTN_RX_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_1_HSIOM
    #define ioss_0_port_0_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSX_BTN_RX_HSIOM ioss_0_port_0_pin_1_HSIOM
#define CYBSP_CSX_BTN_RX_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_CSX_BTN_RX_HAL_PORT_PIN P0_1
    #define CYBSP_CSX_BTN_RX P0_1
    #define CYBSP_CSX_BTN_RX_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CSX_BTN_RX_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CSX_BTN_RX_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_SHIELD1 (P0_2)
#endif //defined (CY_USING_HAL)
#define CYBSP_CSX_BTN1_TX_ENABLED 1U
#define CYBSP_CSX_BTN1_TX_PORT GPIO_PRT0
#define CYBSP_CSX_BTN1_TX_PORT_NUM 0U
#define CYBSP_CSX_BTN1_TX_PIN 3U
#define CYBSP_CSX_BTN1_TX_NUM 3U
#define CYBSP_CSX_BTN1_TX_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CSX_BTN1_TX_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_3_HSIOM
    #define ioss_0_port_0_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSX_BTN1_TX_HSIOM ioss_0_port_0_pin_3_HSIOM
#define CYBSP_CSX_BTN1_TX_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_CSX_BTN1_TX_HAL_PORT_PIN P0_3
    #define CYBSP_CSX_BTN1_TX P0_3
    #define CYBSP_CSX_BTN1_TX_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CSX_BTN1_TX_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CSX_BTN1_TX_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_DEBUG_UART_RX_ENABLED 1U
#define CYBSP_DEBUG_UART_RX_PORT GPIO_PRT0
#define CYBSP_DEBUG_UART_RX_PORT_NUM 0U
#define CYBSP_DEBUG_UART_RX_PIN 4U
#define CYBSP_DEBUG_UART_RX_NUM 4U
#define CYBSP_DEBUG_UART_RX_DRIVEMODE CY_GPIO_DM_HIGHZ
#define CYBSP_DEBUG_UART_RX_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_4_HSIOM
    #define ioss_0_port_0_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_DEBUG_UART_RX_HSIOM ioss_0_port_0_pin_4_HSIOM
#define CYBSP_DEBUG_UART_RX_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_DEBUG_UART_RX_HAL_PORT_PIN P0_4
    #define CYBSP_DEBUG_UART_RX P0_4
    #define CYBSP_DEBUG_UART_RX_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_DEBUG_UART_RX_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_DEBUG_UART_RX_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_NONE
#endif //defined (CY_USING_HAL)
#define CYBSP_DEBUG_UART_TX_ENABLED 1U
#define CYBSP_DEBUG_UART_TX_PORT GPIO_PRT0
#define CYBSP_DEBUG_UART_TX_PORT_NUM 0U
#define CYBSP_DEBUG_UART_TX_PIN 5U
#define CYBSP_DEBUG_UART_TX_NUM 5U
#define CYBSP_DEBUG_UART_TX_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_DEBUG_UART_TX_INIT_DRIVESTATE 1
#ifndef ioss_0_port_0_pin_5_HSIOM
    #define ioss_0_port_0_pin_5_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_DEBUG_UART_TX_HSIOM ioss_0_port_0_pin_5_HSIOM
#define CYBSP_DEBUG_UART_TX_IRQ ioss_interrupts_gpio_0_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_DEBUG_UART_TX_HAL_PORT_PIN P0_5
    #define CYBSP_DEBUG_UART_TX P0_5
    #define CYBSP_DEBUG_UART_TX_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_DEBUG_UART_TX_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_DEBUG_UART_TX_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_DEBUG_UART_CTS (P0_6)
    #define CYBSP_DEBUG_UART_RTS (P0_7)
    #define CYBSP_D11 (P10_0)
    #define CYBSP_J3_4 CYBSP_D11
    #define CYBSP_D12 (P10_1)
    #define CYBSP_J3_5 CYBSP_D12
    #define CYBSP_D13 (P10_2)
    #define CYBSP_J3_6 CYBSP_D13
    #define CYBSP_D10 (P10_3)
    #define CYBSP_J3_3 CYBSP_D10
    #define CYBSP_D8 (P10_4)
    #define CYBSP_J3_1 CYBSP_D8
    #define CYBSP_D9 (P10_5)
    #define CYBSP_J3_2 CYBSP_D9
    #define CYBSP_CSX_TP_TX14 (P11_0)
    #define CYBSP_CSX_TP_TX15 (P11_1)
#endif //defined (CY_USING_HAL)
#define CYBSP_CSX_BTN0_TX_ENABLED 1U
#define CYBSP_CSX_BTN0_TX_PORT GPIO_PRT11
#define CYBSP_CSX_BTN0_TX_PORT_NUM 11U
#define CYBSP_CSX_BTN0_TX_PIN 2U
#define CYBSP_CSX_BTN0_TX_NUM 2U
#define CYBSP_CSX_BTN0_TX_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_CSX_BTN0_TX_INIT_DRIVESTATE 1
#ifndef ioss_0_port_11_pin_2_HSIOM
    #define ioss_0_port_11_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_CSX_BTN0_TX_HSIOM ioss_0_port_11_pin_2_HSIOM
#define CYBSP_CSX_BTN0_TX_IRQ ioss_interrupt_gpio_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_CSX_BTN0_TX_HAL_PORT_PIN P11_2
    #define CYBSP_CSX_BTN0_TX P11_2
    #define CYBSP_CSX_BTN0_TX_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_CSX_BTN0_TX_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_CSX_BTN0_TX_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_SHIELD0 (P11_3)
    #define CYBSP_CSX_TP_RX9 (P11_4)
    #define CYBSP_CSX_SLD_RX4 CYBSP_CSX_TP_RX9
    #define CYBSP_SW2 (P11_5)
    #define CYBSP_USER_BTN CYBSP_SW2
    #define CYBSP_USER_BTN1 CYBSP_SW2
    #define CYBSP_LED3 (P12_0)
    #define CYBSP_LED_BTN1 CYBSP_LED3
    #define CYBSP_USER_LED3 CYBSP_LED3
    #define CYBSP_A15 (P12_1)
    #define CYBSP_J2_16 CYBSP_A15
#endif //defined (CY_USING_HAL)
#define CYBSP_I2C_SCL_ENABLED 1U
#define CYBSP_D14_ENABLED CYBSP_I2C_SCL_ENABLED
#define CYBSP_J3_10_ENABLED CYBSP_I2C_SCL_ENABLED
#define CYBSP_I2C_SCL_PORT GPIO_PRT1
#define CYBSP_D14_PORT CYBSP_I2C_SCL_PORT
#define CYBSP_J3_10_PORT CYBSP_I2C_SCL_PORT
#define CYBSP_I2C_SCL_PORT_NUM 1U
#define CYBSP_D14_PORT_NUM CYBSP_I2C_SCL_PORT_NUM
#define CYBSP_J3_10_PORT_NUM CYBSP_I2C_SCL_PORT_NUM
#define CYBSP_I2C_SCL_PIN 0U
#define CYBSP_D14_PIN CYBSP_I2C_SCL_PIN
#define CYBSP_J3_10_PIN CYBSP_I2C_SCL_PIN
#define CYBSP_I2C_SCL_NUM 0U
#define CYBSP_D14_NUM CYBSP_I2C_SCL_NUM
#define CYBSP_J3_10_NUM CYBSP_I2C_SCL_NUM
#define CYBSP_I2C_SCL_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_D14_DRIVEMODE CYBSP_I2C_SCL_DRIVEMODE
#define CYBSP_J3_10_DRIVEMODE CYBSP_I2C_SCL_DRIVEMODE
#define CYBSP_I2C_SCL_INIT_DRIVESTATE 1
#define CYBSP_D14_INIT_DRIVESTATE CYBSP_I2C_SCL_INIT_DRIVESTATE
#define CYBSP_J3_10_INIT_DRIVESTATE CYBSP_I2C_SCL_INIT_DRIVESTATE
#ifndef ioss_0_port_1_pin_0_HSIOM
    #define ioss_0_port_1_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_I2C_SCL_HSIOM ioss_0_port_1_pin_0_HSIOM
#define CYBSP_D14_HSIOM CYBSP_I2C_SCL_HSIOM
#define CYBSP_J3_10_HSIOM CYBSP_I2C_SCL_HSIOM
#define CYBSP_I2C_SCL_IRQ ioss_interrupts_gpio_1_IRQn
#define CYBSP_D14_IRQ CYBSP_I2C_SCL_IRQ
#define CYBSP_J3_10_IRQ CYBSP_I2C_SCL_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_I2C_SCL_HAL_PORT_PIN P1_0
    #define CYBSP_D14_HAL_PORT_PIN CYBSP_I2C_SCL_HAL_PORT_PIN
    #define CYBSP_J3_10_HAL_PORT_PIN CYBSP_I2C_SCL_HAL_PORT_PIN
    #define CYBSP_I2C_SCL P1_0
    #define CYBSP_D14 CYBSP_I2C_SCL
    #define CYBSP_J3_10 CYBSP_I2C_SCL
    #define CYBSP_I2C_SCL_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_D14_HAL_IRQ CYBSP_I2C_SCL_HAL_IRQ
    #define CYBSP_J3_10_HAL_IRQ CYBSP_I2C_SCL_HAL_IRQ
    #define CYBSP_I2C_SCL_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_D14_HAL_DIR CYBSP_I2C_SCL_HAL_DIR
    #define CYBSP_J3_10_HAL_DIR CYBSP_I2C_SCL_HAL_DIR
    #define CYBSP_I2C_SCL_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_D14_HAL_DRIVEMODE CYBSP_I2C_SCL_HAL_DRIVEMODE
    #define CYBSP_J3_10_HAL_DRIVEMODE CYBSP_I2C_SCL_HAL_DRIVEMODE
    #define CYBSP_I2C_SDA (P1_1)
    #define CYBSP_D15 CYBSP_I2C_SDA
    #define CYBSP_J3_9 CYBSP_I2C_SDA
    #define CYBSP_A8 (P1_2)
    #define CYBSP_J2_2 CYBSP_A8
    #define CYBSP_A9 (P1_3)
    #define CYBSP_J2_4 CYBSP_A9
    #define CYBSP_A10 (P1_4)
    #define CYBSP_J2_6 CYBSP_A10
    #define CYBSP_A11 (P1_5)
    #define CYBSP_J2_8 CYBSP_A11
    #define CYBSP_A12 (P1_6)
    #define CYBSP_J2_10 CYBSP_A12
    #define VREF (P1_7)
    #define CYBSP_J3_8 VREF
    #define CYBSP_A0 (P2_0)
    #define CYBSP_J2_1 CYBSP_A0
    #define CYBSP_A1 (P2_1)
    #define CYBSP_J2_3 CYBSP_A1
    #define CYBSP_A2 (P2_2)
    #define CYBSP_J2_5 CYBSP_A2
    #define CYBSP_A3 (P2_3)
    #define CYBSP_J2_7 CYBSP_A3
#endif //defined (CY_USING_HAL)
#define CYBSP_A4_ENABLED 1U
#define CYBSP_J2_9_ENABLED CYBSP_A4_ENABLED
#define CYBSP_A4_PORT GPIO_PRT2
#define CYBSP_J2_9_PORT CYBSP_A4_PORT
#define CYBSP_A4_PORT_NUM 2U
#define CYBSP_J2_9_PORT_NUM CYBSP_A4_PORT_NUM
#define CYBSP_A4_PIN 4U
#define CYBSP_J2_9_PIN CYBSP_A4_PIN
#define CYBSP_A4_NUM 4U
#define CYBSP_J2_9_NUM CYBSP_A4_NUM
#define CYBSP_A4_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_J2_9_DRIVEMODE CYBSP_A4_DRIVEMODE
#define CYBSP_A4_INIT_DRIVESTATE 1
#define CYBSP_J2_9_INIT_DRIVESTATE CYBSP_A4_INIT_DRIVESTATE
#ifndef ioss_0_port_2_pin_4_HSIOM
    #define ioss_0_port_2_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_A4_HSIOM ioss_0_port_2_pin_4_HSIOM
#define CYBSP_J2_9_HSIOM CYBSP_A4_HSIOM
#define CYBSP_A4_IRQ ioss_interrupts_gpio_2_IRQn
#define CYBSP_J2_9_IRQ CYBSP_A4_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_A4_HAL_PORT_PIN P2_4
    #define CYBSP_J2_9_HAL_PORT_PIN CYBSP_A4_HAL_PORT_PIN
    #define CYBSP_A4 P2_4
    #define CYBSP_J2_9 CYBSP_A4
    #define CYBSP_A4_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_J2_9_HAL_IRQ CYBSP_A4_HAL_IRQ
    #define CYBSP_A4_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_J2_9_HAL_DIR CYBSP_A4_HAL_DIR
    #define CYBSP_A4_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_J2_9_HAL_DRIVEMODE CYBSP_A4_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_A5_ENABLED 1U
#define CYBSP_J2_11_ENABLED CYBSP_A5_ENABLED
#define CYBSP_A5_PORT GPIO_PRT2
#define CYBSP_J2_11_PORT CYBSP_A5_PORT
#define CYBSP_A5_PORT_NUM 2U
#define CYBSP_J2_11_PORT_NUM CYBSP_A5_PORT_NUM
#define CYBSP_A5_PIN 5U
#define CYBSP_J2_11_PIN CYBSP_A5_PIN
#define CYBSP_A5_NUM 5U
#define CYBSP_J2_11_NUM CYBSP_A5_NUM
#define CYBSP_A5_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_J2_11_DRIVEMODE CYBSP_A5_DRIVEMODE
#define CYBSP_A5_INIT_DRIVESTATE 1
#define CYBSP_J2_11_INIT_DRIVESTATE CYBSP_A5_INIT_DRIVESTATE
#ifndef ioss_0_port_2_pin_5_HSIOM
    #define ioss_0_port_2_pin_5_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_A5_HSIOM ioss_0_port_2_pin_5_HSIOM
#define CYBSP_J2_11_HSIOM CYBSP_A5_HSIOM
#define CYBSP_A5_IRQ ioss_interrupts_gpio_2_IRQn
#define CYBSP_J2_11_IRQ CYBSP_A5_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_A5_HAL_PORT_PIN P2_5
    #define CYBSP_J2_11_HAL_PORT_PIN CYBSP_A5_HAL_PORT_PIN
    #define CYBSP_A5 P2_5
    #define CYBSP_J2_11 CYBSP_A5
    #define CYBSP_A5_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_J2_11_HAL_IRQ CYBSP_A5_HAL_IRQ
    #define CYBSP_A5_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_J2_11_HAL_DIR CYBSP_A5_HAL_DIR
    #define CYBSP_A5_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_J2_11_HAL_DRIVEMODE CYBSP_A5_HAL_DRIVEMODE
#endif //defined (CY_USING_HAL)
#define CYBSP_A6_ENABLED 1U
#define CYBSP_J2_13_ENABLED CYBSP_A6_ENABLED
#define THERM_OUT_ENABLED CYBSP_A6_ENABLED
#define CYBSP_A6_PORT GPIO_PRT2
#define CYBSP_J2_13_PORT CYBSP_A6_PORT
#define THERM_OUT_PORT CYBSP_A6_PORT
#define CYBSP_A6_PORT_NUM 2U
#define CYBSP_J2_13_PORT_NUM CYBSP_A6_PORT_NUM
#define THERM_OUT_PORT_NUM CYBSP_A6_PORT_NUM
#define CYBSP_A6_PIN 6U
#define CYBSP_J2_13_PIN CYBSP_A6_PIN
#define THERM_OUT_PIN CYBSP_A6_PIN
#define CYBSP_A6_NUM 6U
#define CYBSP_J2_13_NUM CYBSP_A6_NUM
#define THERM_OUT_NUM CYBSP_A6_NUM
#define CYBSP_A6_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_J2_13_DRIVEMODE CYBSP_A6_DRIVEMODE
#define THERM_OUT_DRIVEMODE CYBSP_A6_DRIVEMODE
#define CYBSP_A6_INIT_DRIVESTATE 1
#define CYBSP_J2_13_INIT_DRIVESTATE CYBSP_A6_INIT_DRIVESTATE
#define THERM_OUT_INIT_DRIVESTATE CYBSP_A6_INIT_DRIVESTATE
#ifndef ioss_0_port_2_pin_6_HSIOM
    #define ioss_0_port_2_pin_6_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_A6_HSIOM ioss_0_port_2_pin_6_HSIOM
#define CYBSP_J2_13_HSIOM CYBSP_A6_HSIOM
#define THERM_OUT_HSIOM CYBSP_A6_HSIOM
#define CYBSP_A6_IRQ ioss_interrupts_gpio_2_IRQn
#define CYBSP_J2_13_IRQ CYBSP_A6_IRQ
#define THERM_OUT_IRQ CYBSP_A6_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_A6_HAL_PORT_PIN P2_6
    #define CYBSP_J2_13_HAL_PORT_PIN CYBSP_A6_HAL_PORT_PIN
    #define THERM_OUT_HAL_PORT_PIN CYBSP_A6_HAL_PORT_PIN
    #define CYBSP_A6 P2_6
    #define CYBSP_J2_13 CYBSP_A6
    #define THERM_OUT CYBSP_A6
    #define CYBSP_A6_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_J2_13_HAL_IRQ CYBSP_A6_HAL_IRQ
    #define THERM_OUT_HAL_IRQ CYBSP_A6_HAL_IRQ
    #define CYBSP_A6_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_J2_13_HAL_DIR CYBSP_A6_HAL_DIR
    #define THERM_OUT_HAL_DIR CYBSP_A6_HAL_DIR
    #define CYBSP_A6_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_J2_13_HAL_DRIVEMODE CYBSP_A6_HAL_DRIVEMODE
    #define THERM_OUT_HAL_DRIVEMODE CYBSP_A6_HAL_DRIVEMODE
    #define CYBSP_A7 (P2_7)
    #define CYBSP_J2_15 CYBSP_A7
    #define CYBSP_CSX_TP_TX8 (P3_0)
    #define CYBSP_CSX_SLD_TX CYBSP_CSX_TP_TX8
    #define CYBSP_CSX_TP_TX9 (P3_1)
#endif //defined (CY_USING_HAL)
#define CYBSP_SWDIO_ENABLED 1U
#define CYBSP_SWDIO_PORT GPIO_PRT3
#define CYBSP_SWDIO_PORT_NUM 3U
#define CYBSP_SWDIO_PIN 2U
#define CYBSP_SWDIO_NUM 2U
#define CYBSP_SWDIO_DRIVEMODE CY_GPIO_DM_STRONG
#define CYBSP_SWDIO_INIT_DRIVESTATE 1
#ifndef ioss_0_port_3_pin_2_HSIOM
    #define ioss_0_port_3_pin_2_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SWDIO_HSIOM ioss_0_port_3_pin_2_HSIOM
#define CYBSP_SWDIO_IRQ ioss_interrupts_gpio_3_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_SWDIO_HAL_PORT_PIN P3_2
    #define CYBSP_SWDIO P3_2
    #define CYBSP_SWDIO_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_SWDIO_HAL_DIR CYHAL_GPIO_DIR_BIDIRECTIONAL 
    #define CYBSP_SWDIO_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
#endif //defined (CY_USING_HAL)
#define CYBSP_SWDCK_ENABLED 1U
#define CYBSP_SWDCK_PORT GPIO_PRT3
#define CYBSP_SWDCK_PORT_NUM 3U
#define CYBSP_SWDCK_PIN 3U
#define CYBSP_SWDCK_NUM 3U
#define CYBSP_SWDCK_DRIVEMODE CY_GPIO_DM_STRONG
#define CYBSP_SWDCK_INIT_DRIVESTATE 1
#ifndef ioss_0_port_3_pin_3_HSIOM
    #define ioss_0_port_3_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_SWDCK_HSIOM ioss_0_port_3_pin_3_HSIOM
#define CYBSP_SWDCK_IRQ ioss_interrupts_gpio_3_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_SWDCK_HAL_PORT_PIN P3_3
    #define CYBSP_SWDCK P3_3
    #define CYBSP_SWDCK_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_SWDCK_HAL_DIR CYHAL_GPIO_DIR_BIDIRECTIONAL 
    #define CYBSP_SWDCK_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_CSX_TP_TX10 (P3_4)
    #define CYBSP_CSX_TP_TX11 (P3_5)
    #define CYBSP_CSX_SLD_RX7 CYBSP_CSX_TP_TX11
    #define CYBSP_CSX_TP_TX12 (P3_6)
    #define CYBSP_CSX_SLD_RX6 CYBSP_CSX_TP_TX12
    #define CYBSP_CSX_TP_TX13 (P3_7)
    #define CYBSP_CSX_SLD_RX5 CYBSP_CSX_TP_TX13
#endif //defined (CY_USING_HAL)
#define CYBSP_MSC0_CMOD1_ENABLED 1U
#define CYBSP_MSC0_CMOD1_PORT GPIO_PRT4
#define CYBSP_MSC0_CMOD1_PORT_NUM 4U
#define CYBSP_MSC0_CMOD1_PIN 0U
#define CYBSP_MSC0_CMOD1_NUM 0U
#define CYBSP_MSC0_CMOD1_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_MSC0_CMOD1_INIT_DRIVESTATE 1
#ifndef ioss_0_port_4_pin_0_HSIOM
    #define ioss_0_port_4_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_MSC0_CMOD1_HSIOM ioss_0_port_4_pin_0_HSIOM
#define CYBSP_MSC0_CMOD1_IRQ ioss_interrupt_gpio_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_MSC0_CMOD1_HAL_PORT_PIN P4_0
    #define CYBSP_MSC0_CMOD1 P4_0
    #define CYBSP_MSC0_CMOD1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_MSC0_CMOD1_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_MSC0_CMOD1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_MSC0_CMOD2_ENABLED 1U
#define CYBSP_MSC0_CMOD2_PORT GPIO_PRT4
#define CYBSP_MSC0_CMOD2_PORT_NUM 4U
#define CYBSP_MSC0_CMOD2_PIN 1U
#define CYBSP_MSC0_CMOD2_NUM 1U
#define CYBSP_MSC0_CMOD2_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_MSC0_CMOD2_INIT_DRIVESTATE 1
#ifndef ioss_0_port_4_pin_1_HSIOM
    #define ioss_0_port_4_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_MSC0_CMOD2_HSIOM ioss_0_port_4_pin_1_HSIOM
#define CYBSP_MSC0_CMOD2_IRQ ioss_interrupt_gpio_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_MSC0_CMOD2_HAL_PORT_PIN P4_1
    #define CYBSP_MSC0_CMOD2 P4_1
    #define CYBSP_MSC0_CMOD2_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_MSC0_CMOD2_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_MSC0_CMOD2_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_CSX_TP_RX8 (P4_4)
    #define CYBSP_CSX_SLD_RX3 CYBSP_CSX_TP_RX8
    #define CYBSP_CSX_TP_RX7 (P4_5)
    #define CYBSP_CSX_SLD_RX2 CYBSP_CSX_TP_RX7
    #define CYBSP_CSX_TP_RX6 (P4_6)
    #define CYBSP_CSX_SLD_RX1 CYBSP_CSX_TP_RX6
    #define CYBSP_CSX_TP_RX5 (P4_7)
    #define CYBSP_CSX_SLD_RX0 CYBSP_CSX_TP_RX5
    #define CYBSP_CSX_TP_TX4 (P5_0)
    #define CYBSP_CSX_TP_TX5 (P5_3)
    #define CYBSP_CSX_TP_TX6 (P5_4)
    #define CYBSP_CSX_TP_TX7 (P5_5)
    #define CYBSP_CSX_TP_RX4 (P5_6)
    #define CYBSP_CSX_TP_RX3 (P5_7)
    #define CYBSP_D4 (P6_0)
    #define CYBSP_J4_5 CYBSP_D4
    #define CYBSP_D5 (P6_1)
    #define CYBSP_J4_6 CYBSP_D5
    #define CYBSP_D6 (P6_2)
    #define CYBSP_J4_7 CYBSP_D6
    #define CYBSP_D7 (P6_3)
    #define CYBSP_J4_8 CYBSP_D7
#endif //defined (CY_USING_HAL)
#define CYBSP_LED2_ENABLED 1U
#define CYBSP_LED_BTN0_ENABLED CYBSP_LED2_ENABLED
#define CYBSP_USER_LED2_ENABLED CYBSP_LED2_ENABLED
#define CYBSP_LED2_PORT GPIO_PRT6
#define CYBSP_LED_BTN0_PORT CYBSP_LED2_PORT
#define CYBSP_USER_LED2_PORT CYBSP_LED2_PORT
#define CYBSP_LED2_PORT_NUM 6U
#define CYBSP_LED_BTN0_PORT_NUM CYBSP_LED2_PORT_NUM
#define CYBSP_USER_LED2_PORT_NUM CYBSP_LED2_PORT_NUM
#define CYBSP_LED2_PIN 4U
#define CYBSP_LED_BTN0_PIN CYBSP_LED2_PIN
#define CYBSP_USER_LED2_PIN CYBSP_LED2_PIN
#define CYBSP_LED2_NUM 4U
#define CYBSP_LED_BTN0_NUM CYBSP_LED2_NUM
#define CYBSP_USER_LED2_NUM CYBSP_LED2_NUM
#define CYBSP_LED2_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_LED_BTN0_DRIVEMODE CYBSP_LED2_DRIVEMODE
#define CYBSP_USER_LED2_DRIVEMODE CYBSP_LED2_DRIVEMODE
#define CYBSP_LED2_INIT_DRIVESTATE 1
#define CYBSP_LED_BTN0_INIT_DRIVESTATE CYBSP_LED2_INIT_DRIVESTATE
#define CYBSP_USER_LED2_INIT_DRIVESTATE CYBSP_LED2_INIT_DRIVESTATE
#ifndef ioss_0_port_6_pin_4_HSIOM
    #define ioss_0_port_6_pin_4_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_LED2_HSIOM ioss_0_port_6_pin_4_HSIOM
#define CYBSP_LED_BTN0_HSIOM CYBSP_LED2_HSIOM
#define CYBSP_USER_LED2_HSIOM CYBSP_LED2_HSIOM
#define CYBSP_LED2_IRQ ioss_interrupt_gpio_IRQn
#define CYBSP_LED_BTN0_IRQ CYBSP_LED2_IRQ
#define CYBSP_USER_LED2_IRQ CYBSP_LED2_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_LED2_HAL_PORT_PIN P6_4
    #define CYBSP_LED_BTN0_HAL_PORT_PIN CYBSP_LED2_HAL_PORT_PIN
    #define CYBSP_USER_LED2_HAL_PORT_PIN CYBSP_LED2_HAL_PORT_PIN
    #define CYBSP_LED2 P6_4
    #define CYBSP_LED_BTN0 CYBSP_LED2
    #define CYBSP_USER_LED2 CYBSP_LED2
    #define CYBSP_LED2_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_LED_BTN0_HAL_IRQ CYBSP_LED2_HAL_IRQ
    #define CYBSP_USER_LED2_HAL_IRQ CYBSP_LED2_HAL_IRQ
    #define CYBSP_LED2_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_LED_BTN0_HAL_DIR CYBSP_LED2_HAL_DIR
    #define CYBSP_USER_LED2_HAL_DIR CYBSP_LED2_HAL_DIR
    #define CYBSP_LED2_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_LED_BTN0_HAL_DRIVEMODE CYBSP_LED2_HAL_DRIVEMODE
    #define CYBSP_USER_LED2_HAL_DRIVEMODE CYBSP_LED2_HAL_DRIVEMODE
    #define CYBSP_PROX (P6_5)
#endif //defined (CY_USING_HAL)
#define CYBSP_MSC1_CMOD1_ENABLED 1U
#define CYBSP_MSC1_CMOD1_PORT GPIO_PRT7
#define CYBSP_MSC1_CMOD1_PORT_NUM 7U
#define CYBSP_MSC1_CMOD1_PIN 0U
#define CYBSP_MSC1_CMOD1_NUM 0U
#define CYBSP_MSC1_CMOD1_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_MSC1_CMOD1_INIT_DRIVESTATE 1
#ifndef ioss_0_port_7_pin_0_HSIOM
    #define ioss_0_port_7_pin_0_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_MSC1_CMOD1_HSIOM ioss_0_port_7_pin_0_HSIOM
#define CYBSP_MSC1_CMOD1_IRQ ioss_interrupt_gpio_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_MSC1_CMOD1_HAL_PORT_PIN P7_0
    #define CYBSP_MSC1_CMOD1 P7_0
    #define CYBSP_MSC1_CMOD1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_MSC1_CMOD1_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_MSC1_CMOD1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
#endif //defined (CY_USING_HAL)
#define CYBSP_MSC1_CMOD2_ENABLED 1U
#define CYBSP_MSC1_CMOD2_PORT GPIO_PRT7
#define CYBSP_MSC1_CMOD2_PORT_NUM 7U
#define CYBSP_MSC1_CMOD2_PIN 1U
#define CYBSP_MSC1_CMOD2_NUM 1U
#define CYBSP_MSC1_CMOD2_DRIVEMODE CY_GPIO_DM_ANALOG
#define CYBSP_MSC1_CMOD2_INIT_DRIVESTATE 1
#ifndef ioss_0_port_7_pin_1_HSIOM
    #define ioss_0_port_7_pin_1_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_MSC1_CMOD2_HSIOM ioss_0_port_7_pin_1_HSIOM
#define CYBSP_MSC1_CMOD2_IRQ ioss_interrupt_gpio_IRQn
#if defined (CY_USING_HAL)
    #define CYBSP_MSC1_CMOD2_HAL_PORT_PIN P7_1
    #define CYBSP_MSC1_CMOD2 P7_1
    #define CYBSP_MSC1_CMOD2_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_MSC1_CMOD2_HAL_DIR CYHAL_GPIO_DIR_INPUT 
    #define CYBSP_MSC1_CMOD2_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_ANALOG
    #define CYBSP_A13 (P7_2)
    #define CYBSP_J2_12 CYBSP_A13
#endif //defined (CY_USING_HAL)
#define CYBSP_LED1_ENABLED 1U
#define CYBSP_USER_LED_ENABLED CYBSP_LED1_ENABLED
#define CYBSP_USER_LED1_ENABLED CYBSP_LED1_ENABLED
#define CYBSP_LED1_PORT GPIO_PRT7
#define CYBSP_USER_LED_PORT CYBSP_LED1_PORT
#define CYBSP_USER_LED1_PORT CYBSP_LED1_PORT
#define CYBSP_LED1_PORT_NUM 7U
#define CYBSP_USER_LED_PORT_NUM CYBSP_LED1_PORT_NUM
#define CYBSP_USER_LED1_PORT_NUM CYBSP_LED1_PORT_NUM
#define CYBSP_LED1_PIN 3U
#define CYBSP_USER_LED_PIN CYBSP_LED1_PIN
#define CYBSP_USER_LED1_PIN CYBSP_LED1_PIN
#define CYBSP_LED1_NUM 3U
#define CYBSP_USER_LED_NUM CYBSP_LED1_NUM
#define CYBSP_USER_LED1_NUM CYBSP_LED1_NUM
#define CYBSP_LED1_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_USER_LED_DRIVEMODE CYBSP_LED1_DRIVEMODE
#define CYBSP_USER_LED1_DRIVEMODE CYBSP_LED1_DRIVEMODE
#define CYBSP_LED1_INIT_DRIVESTATE 1
#define CYBSP_USER_LED_INIT_DRIVESTATE CYBSP_LED1_INIT_DRIVESTATE
#define CYBSP_USER_LED1_INIT_DRIVESTATE CYBSP_LED1_INIT_DRIVESTATE
#ifndef ioss_0_port_7_pin_3_HSIOM
    #define ioss_0_port_7_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_LED1_HSIOM ioss_0_port_7_pin_3_HSIOM
#define CYBSP_USER_LED_HSIOM CYBSP_LED1_HSIOM
#define CYBSP_USER_LED1_HSIOM CYBSP_LED1_HSIOM
#define CYBSP_LED1_IRQ ioss_interrupt_gpio_IRQn
#define CYBSP_USER_LED_IRQ CYBSP_LED1_IRQ
#define CYBSP_USER_LED1_IRQ CYBSP_LED1_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_LED1_HAL_PORT_PIN P7_3
    #define CYBSP_USER_LED_HAL_PORT_PIN CYBSP_LED1_HAL_PORT_PIN
    #define CYBSP_USER_LED1_HAL_PORT_PIN CYBSP_LED1_HAL_PORT_PIN
    #define CYBSP_LED1 P7_3
    #define CYBSP_USER_LED CYBSP_LED1
    #define CYBSP_USER_LED1 CYBSP_LED1
    #define CYBSP_LED1_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_USER_LED_HAL_IRQ CYBSP_LED1_HAL_IRQ
    #define CYBSP_USER_LED1_HAL_IRQ CYBSP_LED1_HAL_IRQ
    #define CYBSP_LED1_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_USER_LED_HAL_DIR CYBSP_LED1_HAL_DIR
    #define CYBSP_USER_LED1_HAL_DIR CYBSP_LED1_HAL_DIR
    #define CYBSP_LED1_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_USER_LED_HAL_DRIVEMODE CYBSP_LED1_HAL_DRIVEMODE
    #define CYBSP_USER_LED1_HAL_DRIVEMODE CYBSP_LED1_HAL_DRIVEMODE
    #define CYBSP_A14 (P7_5)
    #define CYBSP_J2_14 CYBSP_A14
    #define CYBSP_CSX_TP_RX2 (P7_6)
    #define CYBSP_D0 (P8_0)
    #define CYBSP_J4_1 CYBSP_D0
    #define CYBSP_D1 (P8_1)
    #define CYBSP_J4_2 CYBSP_D1
    #define CYBSP_D2 (P8_2)
    #define CYBSP_J4_3 CYBSP_D2
#endif //defined (CY_USING_HAL)
#define CYBSP_D3_ENABLED 1U
#define CYBSP_J4_4_ENABLED CYBSP_D3_ENABLED
#define CYBSP_D3_PORT GPIO_PRT8
#define CYBSP_J4_4_PORT CYBSP_D3_PORT
#define CYBSP_D3_PORT_NUM 8U
#define CYBSP_J4_4_PORT_NUM CYBSP_D3_PORT_NUM
#define CYBSP_D3_PIN 3U
#define CYBSP_J4_4_PIN CYBSP_D3_PIN
#define CYBSP_D3_NUM 3U
#define CYBSP_J4_4_NUM CYBSP_D3_NUM
#define CYBSP_D3_DRIVEMODE CY_GPIO_DM_STRONG_IN_OFF
#define CYBSP_J4_4_DRIVEMODE CYBSP_D3_DRIVEMODE
#define CYBSP_D3_INIT_DRIVESTATE 1
#define CYBSP_J4_4_INIT_DRIVESTATE CYBSP_D3_INIT_DRIVESTATE
#ifndef ioss_0_port_8_pin_3_HSIOM
    #define ioss_0_port_8_pin_3_HSIOM HSIOM_SEL_GPIO
#endif
#define CYBSP_D3_HSIOM ioss_0_port_8_pin_3_HSIOM
#define CYBSP_J4_4_HSIOM CYBSP_D3_HSIOM
#define CYBSP_D3_IRQ ioss_interrupt_gpio_IRQn
#define CYBSP_J4_4_IRQ CYBSP_D3_IRQ
#if defined (CY_USING_HAL)
    #define CYBSP_D3_HAL_PORT_PIN P8_3
    #define CYBSP_J4_4_HAL_PORT_PIN CYBSP_D3_HAL_PORT_PIN
    #define CYBSP_D3 P8_3
    #define CYBSP_J4_4 CYBSP_D3
    #define CYBSP_D3_HAL_IRQ CYHAL_GPIO_IRQ_NONE
    #define CYBSP_J4_4_HAL_IRQ CYBSP_D3_HAL_IRQ
    #define CYBSP_D3_HAL_DIR CYHAL_GPIO_DIR_OUTPUT 
    #define CYBSP_J4_4_HAL_DIR CYBSP_D3_HAL_DIR
    #define CYBSP_D3_HAL_DRIVEMODE CYHAL_GPIO_DRIVE_STRONG
    #define CYBSP_J4_4_HAL_DRIVEMODE CYBSP_D3_HAL_DRIVEMODE
    #define CYBSP_CSX_TP_TX0 (P9_0)
    #define CYBSP_CSX_TP_TX1 (P9_1)
    #define CYBSP_CSX_TP_TX2 (P9_2)
    #define CYBSP_CSX_TP_TX3 (P9_3)
#endif //defined (CY_USING_HAL)

extern const cy_stc_gpio_pin_config_t CYBSP_CSX_BTN_RX_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSX_BTN_RX_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSX_BTN1_TX_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSX_BTN1_TX_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_DEBUG_UART_RX_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_DEBUG_UART_RX_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_DEBUG_UART_TX_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_DEBUG_UART_TX_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_CSX_BTN0_TX_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_CSX_BTN0_TX_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_I2C_SCL_config;
#define CYBSP_D14_config CYBSP_I2C_SCL_config
#define CYBSP_J3_10_config CYBSP_I2C_SCL_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_I2C_SCL_obj;
    #define CYBSP_D14_obj CYBSP_I2C_SCL_obj
    #define CYBSP_J3_10_obj CYBSP_I2C_SCL_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_A4_config;
#define CYBSP_J2_9_config CYBSP_A4_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_A4_obj;
    #define CYBSP_J2_9_obj CYBSP_A4_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_A5_config;
#define CYBSP_J2_11_config CYBSP_A5_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_A5_obj;
    #define CYBSP_J2_11_obj CYBSP_A5_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_A6_config;
#define CYBSP_J2_13_config CYBSP_A6_config
#define THERM_OUT_config CYBSP_A6_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_A6_obj;
    #define CYBSP_J2_13_obj CYBSP_A6_obj
    #define THERM_OUT_obj CYBSP_A6_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SWDIO_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SWDIO_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_SWDCK_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_SWDCK_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_MSC0_CMOD1_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_MSC0_CMOD1_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_MSC0_CMOD2_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_MSC0_CMOD2_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_LED2_config;
#define CYBSP_LED_BTN0_config CYBSP_LED2_config
#define CYBSP_USER_LED2_config CYBSP_LED2_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_LED2_obj;
    #define CYBSP_LED_BTN0_obj CYBSP_LED2_obj
    #define CYBSP_USER_LED2_obj CYBSP_LED2_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_MSC1_CMOD1_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_MSC1_CMOD1_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_MSC1_CMOD2_config;
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_MSC1_CMOD2_obj;
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_LED1_config;
#define CYBSP_USER_LED_config CYBSP_LED1_config
#define CYBSP_USER_LED1_config CYBSP_LED1_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_LED1_obj;
    #define CYBSP_USER_LED_obj CYBSP_LED1_obj
    #define CYBSP_USER_LED1_obj CYBSP_LED1_obj
#endif //defined (CY_USING_HAL)
extern const cy_stc_gpio_pin_config_t CYBSP_D3_config;
#define CYBSP_J4_4_config CYBSP_D3_config
#if defined (CY_USING_HAL)
    extern const cyhal_resource_inst_t CYBSP_D3_obj;
    #define CYBSP_J4_4_obj CYBSP_D3_obj
#endif //defined (CY_USING_HAL)

void init_cycfg_pins(void);
void reserve_cycfg_pins(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PINS_H */
